package com.neusoft.smart.pos.inventory.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum GoodsErrorCode implements CommonCode {
    DEVICE_ORG_EMPTY("07019", "设备归属信息为空"),
    INVALID_SHOP("07020", "非法门店"),
    TOO_LONG_CATERING_MENU_NAME("07021", "商品名称不能超过40字"),
    DUPLICATE_CATERING_MENU_NAME("07022", "商品名称已存在"),
    MISSING_STORE_ID("07023", "缺少门店信息"),
    DUPLICATE_GOODS_NAME("07024", "商品名称已存在"),
    PARSE_IMPORT_FILE_ERROR("07025", "解析文件出错"),
    DUPLICATE_BAR_CODE("07026", "条码已存在"),
    INVALID_BAR_CODE("07027", "非法条码"),
    INVALID_GOODS_NAME("07028", "非法商品名称"),
    INVALID_UNIT_NAME("07029", "非法规格"),
    INVALID_PRICE("07030", "非法价格"),
    INVALID_IMPORT_LINE("07031", "错误数据行"),
    CONTAINS_GOODS_WITH_CATEGORY("07032", "该类别下含有商品，不能被删除"),
    DUPLICATE_CATEGORY_NAME("07024", "类别名称已存在"),
    EMPTY_CATEGORY_NAME("07025", "类别名称不能为空"),
    GOODS_DUPLICATE_APPROVAL("07026", "菜单已经审批完毕"),
    GOODS_DUPLICATE_IDS("07029", "菜单审批拒绝只能单数据操作"),
    EMPTY_SN_CODE("07027", "SN不能为空"),
    EMPTY_MENU_LIST("07028", "菜单列表不能为空"),
    DUPLICATE_TAG_NAME("07024", "口味标签名称已存在"),
    FLAVOR_TAG_MAX_COUNT("07029", "口味标签项多于12条"),
    FLAVOR_TAG_MAX_LENGTH("0730", "口味标签多于5个字"),
    LIMIT_CHECK_ERROR("07031", "订单中商品限制信息：{}"),
    DATA_UPDATE_ERROR("07032", "数据更新失败,请重试"),
    ;
    
    private String code;
    
    private String message;
    
    GoodsErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getMessage() {
        return message;
    }
    
    public void setMessage(String message) {
        this.message = message;
    }
}
